To HappyFeet:

You don't need gimp and openoffice to run vlc. Gimp and openoffice are recommended packages that zypper downloads automatically (adobe's flashplayer and java are among those...